# 瀚海黎明 - 专业软件解决方案

## 网站结构规划

### 1. 首页设计 (带视差滚动效果)
- 顶部导航栏（固定位置）
  - Logo
  - 导航菜单：首页、服务、案例、关于我们、团队、博客、联系我们
  - 语言切换
  - 联系按钮

- 英雄区域（Hero Section）
  - 大型背景图片/视频（视差效果）
  - 简洁有力的标语："数字化转型的可靠伙伴"
  - 副标语："专注于为企业提供高质量软件开发外包服务"
  - CTA按钮："了解更多" 和 "联系我们"

- 我们的服务（视差滚动）
  - 定制软件开发
  - 移动应用开发
  - Web应用开发
  - 企业软件解决方案
  - 云服务与DevOps
  - UI/UX设计
  （每个服务配有图标和简短描述，鼠标悬停效果）

- 我们的优势（视差背景）
  - 专业团队
  - 质量保证
  - 按时交付
  - 灵活合作模式
  - 技术创新
  - 售后支持
  （数字+文字组合展示，滚动时有动画效果）

- 精选案例展示（视差滚动）
  - 3-4个代表性项目，每个项目包含：
    - 项目图片/截图
    - 项目名称
    - 简短描述
    - "查看详情"链接
  （滚动时案例卡片有淡入效果）

- 客户评价（视差背景）
  - 滚动展示客户评价
  - 客户头像、姓名、公司
  - 评分星级

- 合作流程（视差滚动）
  - 需求分析
  - 方案设计
  - 开发实施
  - 测试验收
  - 交付上线
  - 持续支持
  （流程图形式展示，滚动时逐步显示）

- 页脚
  - 版权信息
  - 网站地图
  - 隐私政策
  - 服务条款
  - 社交媒体图标

### 2. 服务页面
- 详细介绍各类服务
- 服务流程
- 定价模式
- 常见问题解答

### 3. 案例页面
- 案例分类筛选
- 案例详情展示
- 客户反馈
- 相关案例推荐

### 4. 关于我们
- 公司简介
- 发展历程
- 企业文化
- 荣誉资质

### 5. 团队页面
- 核心团队成员介绍
- 团队文化
- 招聘信息


### 6. 联系页面
- 详细联系方式
- 合作咨询表单
- 办公地点信息

## 视差滚动效果实现建议
1. 使用Parallax.js库实现视差效果
2. 关键区域使用不同深度的视差层
3. 结合滚动触发动画效果
4. 确保移动端兼容性
5. 优化图片加载速度，避免性能问题

## 设计风格建议
- 配色方案：科技蓝+深灰+白色为主，辅以亮色点缀
- 字体选择：无衬线字体，如Roboto、Open Sans等
- 视觉元素：几何图形、线条、科技感图标
- 响应式设计：确保在各种设备上都有良好体验
- 用户体验：平滑的滚动效果、清晰的导航

## 技术栈建议
- 前端框架：Vue3
- 状态管理：Pinia
- 路由管理：Vue Router
- 视差效果：Parallax.js
- 动画：AOS (Animate On Scroll)
- 样式：SCSS


## 网页内容
先全部写模拟数据，图片用网络图片


## 开发建议
- 模块化开发：每个页面一个文件夹
- 组件化设计：每个功能一个组件