import { createRouter, createWebHistory } from 'vue-router'

// 导入页面组件
const Home = () => import('../views/pages/Home.vue')
const Services = () => import('../views/pages/Services.vue')
const Cases = () => import('../views/pages/Cases.vue')
const CaseDetail = () => import('../views/pages/CaseDetail.vue')
const About = () => import('../views/company/About.vue')
const Team = () => import('../views/company/Team.vue')
const JobDetail = () => import('../views/company/JobDetail.vue')
const Blog = () => import('../views/blog/Blog.vue')
const Contact = () => import('../views/pages/Contact.vue')

// 定义路由
const routes = [
  {
    path: '/',
    name: 'Home',
    component: Home
  },
  {
    path: '/services',
    name: 'Services',
    component: Services
  },
  {
    path: '/cases',
    name: 'Cases',
    component: Cases
  },
  {
    path: '/cases/:id',
    name: 'CaseDetail',
    component: CaseDetail
  },
  {
    path: '/about',
    name: 'About',
    component: About
  },
  {
    path: '/team',
    name: 'Team',
    component: Team
  },
  {
    path: '/jobs/:id',
    name: 'JobDetail',
    component: JobDetail
  },
  {
    path: '/blog',
    name: 'Blog',
    component: Blog
  },
  {
    path: '/contact',
    name: 'Contact',
    component: Contact
  }
]

// 创建路由实例
const router = createRouter({
  history: createWebHistory(),
  routes,
  // 平滑滚动行为
  scrollBehavior(to, from, savedPosition) {
    if (savedPosition) {
      return savedPosition
    } else if (to.hash) {
      return {
        el: to.hash,
        behavior: 'smooth'
      }
    } else {
      return { top: 0, behavior: 'smooth' }
    }
  }
})

export default router